Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.html
Class BeanHTML

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.MultiPartElement
                        |
                        +--weblogic.html.TableRowElement
                              |
                              +--weblogic.html.BeanHTML

public class BeanHTML
extends TableRowElement

Uses Java Bean idioms to create various HTML elements.

Author:
  Copyright (c) 1997-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA Systems, Inc.. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `BG_COLOR` Bean descriptor attribute name for controlling background color.

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`BeanHTML()`

Method Summary
`static TableDataElement` | `adorn(TableDataElement e, java.beans.PropertyDescriptor d)` Adds various annotations to the HTML element based on descriptor values.
`static TableElement` | `fillTable(TableElement t, java.lang.Class c, java.lang.Object o, java.util.Enumeration e)` Fills an HTML table with values extracted from objects from the given class.
`static TableElement` | `fillTable(TableElement t, java.util.Enumeration e)` Fills an HTML table from the given enumeration.
`static TableElement` | `fillTable(TableElement t, java.lang.Object o)` Fills an HTML table with values extracted from the given object.
`static java.beans.BeanInfo` | `getBeanInfo(java.lang.Class c)` Avoids `java.beans.Introspector.getBeanInfo()` if an explicit bean class exists, to preserve the order of the properties in the explicit class.
`static TableRowElement` | `getRow(java.lang.Object o)` Returns an HTML table row based on property values of simple, visible properties of the given object.
`static TableRowElement` | `getRow(java.lang.Object o, java.beans.PropertyDescriptor[] descs)` Returns an HTML table row based on property values of simple, visible properties from the given array of descriptors extracted from the given object.
`static TableRowElement` | `getTableHeading(java.lang.Class c)` Returns an HTML table heading based on simple, visible properties of the given class.
`static TableRowElement` | `getTableHeading(java.beans.PropertyDescriptor[] descs)` Returns an HTML table heading based on simple, visible properties in the given array of PropertyDescriptors.
`static boolean` | `isSimpleProperty(java.beans.PropertyDescriptor d)` True if the property is not indexed and is either primitive or String typed.
`static boolean` | `isVisibleProperty(java.beans.PropertyDescriptor d)` True if property is not hidden, has a read method, and is not the trivial properties: class or icon.

Methods inherited from class weblogic.html.TableRowElement
`addElement, addElement, addElement, getCellAt, getElementAt, getHtmlCode, getNumCells, printCR, setAlign, setBgColor, setBgColor, setVAlign`

Methods inherited from class weblogic.html.MultiPartElement
`addHeadMultiElement, addMultiElement, getMultiElementAt, getNumElements, printBody, printBody, printBody, removeElement, removeElementAt, replaceElementAt, replaceMultiElementAt, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BG_COLOR

    public static final java.lang.String BG_COLOR

  Bean descriptor attribute name for controlling background color.

Constructor Detail

### BeanHTML

    public BeanHTML()

Method Detail

### getBeanInfo

    public static java.beans.BeanInfo getBeanInfo(java.lang.Class c)

  Avoids `java.beans.Introspector.getBeanInfo()` if an explicit bean class exists, to preserve the order of the properties in the explicit class. The Introspector simply assembles them in a Hashtable and enumerates.

### isVisibleProperty

    public static boolean isVisibleProperty(java.beans.PropertyDescriptor d)

  True if property is not hidden, has a read method, and is not the trivial properties: class or icon.

### isSimpleProperty

    public static boolean isSimpleProperty(java.beans.PropertyDescriptor d)

  True if the property is not indexed and is either primitive or String typed.

### adorn

    public static TableDataElement adorn(TableDataElement e,
                                         java.beans.PropertyDescriptor d)

  Adds various annotations to the HTML element based on descriptor values. Presently: BG_COLOR for background color.

### getTableHeading

    public static TableRowElement getTableHeading(java.lang.Class c)

  Returns an HTML table heading based on simple, visible properties of the given class.

### getTableHeading

    public static TableRowElement getTableHeading(java.beans.PropertyDescriptor[] descs)

  Returns an HTML table heading based on simple, visible properties in the given array of PropertyDescriptors.

### getRow

    public static TableRowElement getRow(java.lang.Object o)

  Returns an HTML table row based on property values of simple, visible properties of the given object.

### getRow

    public static TableRowElement getRow(java.lang.Object o,
                                         java.beans.PropertyDescriptor[] descs)

  Returns an HTML table row based on property values of simple, visible properties from the given array of descriptors extracted from the given object.

### fillTable

    public static TableElement fillTable(TableElement t,
                                         java.util.Enumeration e)

  Fills an HTML table from the given enumeration. It is intended for non-empty, homogeneous enumerations. If it is empty, returns the given table. If the enumeration is heterogeneous, fills the table with all enumerated instances of the same class as the first element.

### fillTable

    public static TableElement fillTable(TableElement t,
                                         java.lang.Object o)

  Fills an HTML table with values extracted from the given object.

### fillTable

    public static TableElement fillTable(TableElement t,
                                         java.lang.Class c,
                                         java.lang.Object o,
                                         java.util.Enumeration e)

  Fills an HTML table with values extracted from objects from the given class. Starting with the given object and, then proceeding with the given Enumeration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD